/*****************************************************************************
 * Application Name: SIMG32 - DIMG 32bit Simple Imager for Windows
 *        Copyright: (C) Copyright David Goodwin, 2010
 *          License: GNU GPL v2
 *****************************************************************************
	This file is part of "WinDIMG32".

    This is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This software is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this software; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

#include <windows.h>

#include "resource.h"

/*
 * Constants
 */
#define IMGMODE_READ	1
#define IMGMODE_WRITE	2

#define IMG_SUCCESS		1
#define	IMG_FAILED		2  
#define IMG_CANCELED	3


int doImaging(char driveLetter,      /* Drive letter (A,B,etc) */
			  int imageMode,	     /* Image Mode (1,2) */
			  bool noConfirm,		 /* Suppress confirm write? */
			  bool noCancel,		 /* disable cancel button? */
			  TCHAR fileName[],      /* Image file name */
			  HINSTANCE hInstance);  /* Program Instance */
