TEMPLATE = lib

CONFIG += dll
CONFIG += warn_on
CONFIG -= qt

TARGET = vam32

debug:DESTDIR = ../debug
release:DESTDIR = ../release

# ## Build Mode stuff
CONFIG += debug_and_release
CONFIG(debug, debug|release) { 
    PREFIX = Z:\dimg
}

# Generate install target
isEmpty(PREFIX) {
    PREFIX = C:/dimg
}

target.path = $$PREFIX/bin
INSTALLS += target

RC_FILE = winvam32.rc

# Header files
HEADERS += winvam32_dll.h
HEADERS += winvam.h
HEADERS += geom.h
HEADERS += vam_nt.h
HEADERS += vam_4x.h

# Source files
SOURCES += winvam32.c
SOURCES += geom.c
SOURCES += vam_nt.c
SOURCES += vam_4x.c

LIBS += libkernel32
