/*****************************************************************************
 * Application Name: WinVAM32 - Volume Access Module for 32bit Windows
 *        Copyright: (C) Copyright David Goodwin, 2010
 *          License: GNU GPL v2
 *****************************************************************************
	This file is part of "WinDIMG32".

    This is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This software is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this software; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

 */

#ifndef WINVAM32_H
#define WINVAM32_H

#ifndef V32_NOEXTGBL
	extern BOOL volume_is_open;
	extern HANDLE hDrive;
	extern vam_diskgeom diskgeom;
	extern BOOL geom_valid;
	extern BOOL isWindowsNT;
#endif // V32_NOEXTGBL

/* Shared Functions
 */
static BOOL dismount_volume(HANDLE hDisk);
static BOOL lock_volume(HANDLE hDisk);
static BOOL unlock_volume(HANDLE hDisk);

#endif /* WINVAM32_H */
